Name:          jackson-datatype-hibernate
Version:       2.6.3
Release:       1%{?dist}
Summary:       Add-on module for Jackson to support Hibernate data types
License:       ASL 2.0
URL:           http://wiki.fasterxml.com/JacksonHome
Source0:       https://github.com/FasterXML/jackson-datatype-hibernate/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate:hibernate-core:3)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:3)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
Parent POM for shared settings for project sub-modules.

%package -n %{name}3
Summary:       Jackson data types support to Hibernate 3.x

%description -n %{name}3
Add-on module for Jackson to support
Hibernate version 3.x data types.

%package -n %{name}4
Summary:       Jackson data types support to Hibernate 4.x

%description -n %{name}4
Add-on module for Jackson to support
Hibernate version 4.x data types.

%package parent
Summary:       Jackson Hibernate module Parent POM

%description parent
Parent POM for shared settings for project sub-modules.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

# Not available
%pom_disable_module hibernate5

sed -i 's/\r//' hibernate*/src/main/resources/META-INF/LICENSE
cp -p hibernate4/src/main/resources/META-INF/LICENSE .

%pom_change_dep -r :log4j ::1.2.17 hibernate3 hibernate4
%pom_xpath_set pom:properties/pom:hibernate.version 3 hibernate3

# javax.persistence.PersistenceException: org.hibernate.exception.SQLGrammarException: Cannot open connection
rm hibernate3/src/test/java/com/fasterxml/jackson/datatype/hibernate3/ForceLazyLoadingTest.java \
 hibernate3/src/test/java/com/fasterxml/jackson/datatype/hibernate3/HibernateTest.java \
 hibernate3/src/test/java/com/fasterxml/jackson/datatype/hibernate3/LazyLoadingTest.java
# javax.persistence.PersistenceException: Unable to build entity manager factory
rm hibernate4/src/test/java/com/fasterxml/jackson/datatype/hibernate4/ForceLazyLoadingTest.java \
 hibernate4/src/test/java/com/fasterxml/jackson/datatype/hibernate4/HibernateTest.java \
 hibernate4/src/test/java/com/fasterxml/jackson/datatype/hibernate4/LazyLoadingTest.java

%build

%mvn_build -s

%install
%mvn_install

%files -n %{name}3 -f .mfiles-%{name}3
%license LICENSE

%files -n %{name}4 -f .mfiles-%{name}4
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%doc CREDITS README.md release-notes/*
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 2.6.3-1
- initial rpm
